﻿--
-- Script was generated by Devart dbForge Studio 2020 for MySQL, Version 9.0.689.0
-- Product home page: http://www.devart.com/dbforge/mysql/studio
-- Script date 28/10/2021 11:53:29
-- Server version: 5.7.36
-- Client version: 4.1
--

-- 
-- Disable foreign keys
-- 
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;

-- 
-- Set SQL mode
-- 
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

-- 
-- Set character set the client will use to send SQL statements to the server
--
SET NAMES 'utf8';

DROP DATABASE IF EXISTS ejemplo1;

CREATE DATABASE IF NOT EXISTS ejemplo1
CHARACTER SET latin1
COLLATE latin1_swedish_ci;

--
-- Set default database
--
USE ejemplo1;

--
-- Create table `libros`
--
CREATE TABLE IF NOT EXISTS libros (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  contenido varchar(500) DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 4,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `autores`
--
CREATE TABLE IF NOT EXISTS autores (
  id int(11) NOT NULL AUTO_INCREMENT,
  nombre varchar(100) DEFAULT NULL,
  fechaNacimiento date DEFAULT NULL,
  PRIMARY KEY (id)
)
ENGINE = INNODB,
AUTO_INCREMENT = 3,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create table `leer`
--
CREATE TABLE IF NOT EXISTS leer (
  autor int(11) NOT NULL,
  libro int(11) NOT NULL,
  PRIMARY KEY (autor, libro)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 5461,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create foreign key
--
ALTER TABLE leer
ADD CONSTRAINT FK_leer_autores_id FOREIGN KEY (autor)
REFERENCES autores (id) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE leer
ADD CONSTRAINT FK_leer_libros_id FOREIGN KEY (libro)
REFERENCES libros (id) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create table `escribe`
--
CREATE TABLE IF NOT EXISTS escribe (
  autor int(11) NOT NULL,
  libro int(11) NOT NULL,
  PRIMARY KEY (autor, libro)
)
ENGINE = INNODB,
AVG_ROW_LENGTH = 8192,
CHARACTER SET latin1,
COLLATE latin1_swedish_ci;

--
-- Create index `libro` on table `escribe`
--
ALTER TABLE escribe
ADD UNIQUE INDEX libro (libro);

--
-- Create foreign key
--
ALTER TABLE escribe
ADD CONSTRAINT fkescribeautor FOREIGN KEY (autor)
REFERENCES autores (id) ON DELETE CASCADE ON UPDATE CASCADE;

--
-- Create foreign key
--
ALTER TABLE escribe
ADD CONSTRAINT fkescribelibro FOREIGN KEY (libro)
REFERENCES libros (id) ON DELETE CASCADE ON UPDATE CASCADE;

-- 
-- Dumping data for table libros
--
INSERT INTO libros VALUES
(1, 'alatriste', 'muy dura'),
(2, 'ocho apellidos vascos', 'muy larga'),
(3, 'superman', 'mi');

-- 
-- Dumping data for table autores
--
INSERT INTO autores VALUES
(1, 'autor1', NULL),
(2, 'autor2', NULL);

-- 
-- Dumping data for table leer
--
INSERT INTO leer VALUES
(1, 1),
(2, 1),
(1, 2);

-- 
-- Dumping data for table escribe
--
INSERT INTO escribe VALUES
(1, 1),
(1, 2);

-- 
-- Restore previous SQL mode
-- 
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;

-- 
-- Enable foreign keys
-- 
/*!40014 SET FOREIGN_KEY_CHECKS = @OLD_FOREIGN_KEY_CHECKS */;